html {
  font-size: 100%;
  overflow-y: scroll;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  padding:0;
  margin: 0;
}

body {
  color: #444;
  font-family: sans-serif;
  font-size: 12px;
  line-height: 1.7;
  background: #fefefe;
  padding: 0;
  margin: 0;
}

a {
  color: #0645ad;
  text-decoration: none;
}

a:visited {
  color: #0b0080;
}

a:hover {
  color: #06e;
}

a:active {
  color: #faa700;
}

a:focus {
  outline: thin dotted;
}

*::-moz-selection {
  background: rgba(255, 255, 0, 0.3);
  color: #000;
}

*::selection {
  background: rgba(255, 255, 0, 0.3);
  color: #000;
}

a::-moz-selection {
  background: rgba(255, 255, 0, 0.3);
  color: #0645ad;
}

a::selection {
  background: rgba(255, 255, 0, 0.3);
  color: #0645ad;
}

p {
  margin: 1em 0;
}

img {
  max-width: 100%;
}

h1, h2, h3, h4, h5, h6 {
  color: #111;
  line-height: 125%;
  margin-top: 2em;
  font-weight: normal;
}

h4, h5, h6 {
  font-weight: bold;
}

h1 {
  font-size: 2.5em;
}

h2 {
  font-size: 2em;
}

h3 {
  font-size: 1.5em;
}

h4 {
  font-size: 1.2em;
}

h5 {
  font-size: 1em;
}

h6 {
  font-size: 0.9em;
}

blockquote {
  color: #666666;
  margin: 0;
  padding-left: 3em;
  border-left: 0.5em #EEE solid;
}

hr {
  display: block;
  height: 2px;
  border: 0;
  border-top: 1px solid #aaa;
  border-bottom: 1px solid #eee;
  margin: 1em 0;
  padding: 0;
}

pre, code, kbd, samp {
  color: #000;
  font-family: monospace, monospace;
  _font-family: 'courier new', monospace;
  font-size: 0.98em;
}

pre {
  white-space: pre;
  white-space: pre-wrap;
  word-wrap: break-word;
}

b, strong {
  font-weight: bold;
}

dfn {
  font-style: italic;
}

ins {
  background: #ff9;
  color: #000;
  text-decoration: none;
}

mark {
  background: #ff0;
  color: #000;
  font-style: italic;
  font-weight: bold;
}

sub, sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sup {
  top: -0.5em;
}

sub {
  bottom: -0.25em;
}

ul, ol {
  margin: 1em 0;
  padding: 0 0 0 2em;
}

li p:last-child {
  margin-bottom: 0;
}

ul ul, ol ol {
  margin: .3em 0;
}

dl {
  margin-bottom: 1em;
}

dt {
  font-weight: bold;
  margin-bottom: .8em;
}

dd {
  margin: 0 0 .8em 2em;
}

dd:last-child {
  margin-bottom: 0;
}

img {
  border: 0;
  -ms-interpolation-mode: bicubic;
  vertical-align: middle;
}

figure {
  display: block;
  text-align: center;
  margin: 1em 0;
}

figure img {
  border: none;
  margin: 0 auto;
}

figcaption {
  font-size: 0.8em;
  font-style: italic;
  margin: 0 0 .8em;
}

table {
  margin-bottom: 2em;
  border-bottom: 1px solid #ddd;
  border-right: 1px solid #ddd;
  border-spacing: 0;
  border-collapse: collapse;
}

table th {
  padding: .2em 1em;
  background-color: #eee;
  border-top: 1px solid #ddd;
  border-left: 1px solid #ddd;
}

table td {
  padding: .2em 1em;
  border-top: 1px solid #ddd;
  border-left: 1px solid #ddd;
  vertical-align: top;
}

.author {
  font-size: 1.2em;
  text-align: center;
}

@media only screen and (min-width: 480px) {
  body {
    font-size: 14px;
  }
}
@media only screen and (min-width: 768px) {
  body {
    font-size: 16px;
  }
}
@media print {
  * {
    background: transparent !important;
    color: black !important;
    filter: none !important;
    -ms-filter: none !important;
  }

  body {
    font-size: 12pt;
    max-width: 100%;
  }

  a, a:visited {
    text-decoration: underline;
  }

  hr {
    height: 1px;
    border: 0;
    border-bottom: 1px solid black;
  }

  a[href]:after {
    content: " (" attr(href) ")";
  }

  abbr[title]:after {
    content: " (" attr(title) ")";
  }

  .ir a:after, a[href^="javascript:"]:after, a[href^="#"]:after {
    content: "";
  }

  pre, blockquote {
    border: 1px solid #999;
    padding-right: 1em;
    page-break-inside: avoid;
  }

  tr, img {
    page-break-inside: avoid;
  }

  img {
    max-width: 100% !important;
  }

  @page :left {
    margin: 15mm 20mm 15mm 10mm;
}

  @page :right {
    margin: 15mm 10mm 15mm 20mm;
}

  p, h2, h3 {
    orphans: 3;
    widows: 3;
  }

  h2, h3 {
    page-break-after: avoid;
  }
}

pre.sourceCode, code.sourceCode {
    background-color: #ececec;
}


:root {
  --ci-orange: #f89c0e;
  --ci-blue: #152c66;
  --content-width: 50em;
}

nav#sitenav a, nav#sitenav a:visited, nav#sitenav a code {
  color: var(--ci-orange);
}

/* LAYOUT */

body {
  display: grid;
  width: 100vw;
  height: 100vh;
  grid-template-areas: "nav    article"
                       "subnav footer";

  grid-template-columns: 30em 1fr;
  grid-template-rows: 1fr min-content;
  margin: 0;
  padding:0;
  overflow: hidden;
  background-color: #eee;
}

label[for=burger] {
  display: none;
}

nav#toc {
  grid-area: nav;
  overflow-y: scroll;
  overflow-x: hidden;
  max-width: 28em;
  padding: 1em;
  scrollbar-width: none;
  background-color: #eee;
}

body > article {
  grid-area: article;
  overflow: auto;
  max-width: var(--content-width);
  background-color: #fff;
  padding: 0 1em;
}

footer {
  grid-area: footer;
  background-color: #fff;
  max-width: 50em;
  padding: 1em 1em 0;
  text-align: center;
}

nav#subnav {
  grid-area: subnav;
  display: grid;
  grid-template-areas: "top up prev next";
  align-items: center;
  justify-items: stretch;
  padding: 0 1em;
  background-color: #eee;
  margin-top: 0.5em;
}

nav#subnav .top {
  grid-area: top;
  border-top: 1px solid var(--ci-orange);
  padding: 0.5em;
  text-align: center;
}

nav#subnav .top::before {
  content: '#';
  margin-right: 0.5em;
  font-size: 90%;
}

nav#subnav .up {
  grid-area: up;
  border-top: 1px solid var(--ci-orange);
  padding: 0.5em;
  text-align: center;
}

nav#subnav .up::before {
  content: '«';
  transform: rotate(90deg);
  display: inline-block;
  margin-right: 0.5em;
}

nav#subnav .prev {
  grid-area: prev;
  border-top: 1px solid var(--ci-orange);
  padding: 0.5em;
  text-align: center;
}

nav#subnav .prev::before {
  content: '«';
  margin-right: 0.5em;
}

nav#subnav .next {
  grid-area: next;
  border-top: 1px solid var(--ci-orange);
  padding: 0.5em;
  text-align: center;
}

nav#subnav .next::after {
  content: '»';
  margin-left: 0.5em;
}

#title-block-header {
  text-align: center;
}

img.cover {
    max-width: 40em;
    text-align: center;
    margin-top: 3em;
}

h1:first-of-type, h2:first-of-type, h3:first-of-type, h4:first-of-type, h5:first-of-type, h6:first-of-type {
  margin-top: 1em;
}

a.current, li:has(a.current) > a {
   font-weight: bold;
}

#burger, nav#subnav label {
  display: none;
}

@media only screen and (max-width: 78em) {

  body {
    grid-template-areas: "burger  subnav"
                         "article article"
                         "footer  footer";

    grid-template-columns: 2.25em 1fr;
    grid-template-rows: min-content 1fr;
  }

  nav#toc {
    display: none;
  }

  label[for=burger] {
    grid-area: burger;
    display: block;
    font-size: 200%;
    line-height: 110%;
    text-align: right;
  }

  nav#subnav {
    margin-top: 0;
  }

  nav#subnav a {
    border-top: 0 !important;
    align-self: center;
  }

  body > article, footer {
    max-width: 100%;
  }

  body:has(#burger:checked) {
    grid-template-areas: "nav burger"
                         "nav ...";

    grid-template-columns: 1fr 2.25em;
  }

  body:has(#burger:checked) > #toc {
    display: block;
    max-width: 100%;
  }

  body:has(#burger:checked) > #toc > ul {
    width: 100%;
  }

  body:has(#burger:checked) > article,
  body:has(#burger:checked) > footer,
  body:has(#burger:checked) > nav#subnav {
    display: none !important;
  }

  body:has(#burger:checked) > label[for=burger] {
    text-align: left;
  }

}
